#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int a, b, c;
    scanf("%d%d%d", &a, &b, &c);
    if (a == b && c == 0)
        puts("0");
    else
    {
        if (a + c < b)
            puts("-");
        else if (b + c < a)
            puts("+");
        else
            puts("?");
    }
    return 0;
}
